Package oracle.sql.json

## Interface OracleJsonDouble

All Superinterfaces:
  `OracleJsonNumber`, `OracleJsonValue`

    public interface OracleJsonDouble
    extends OracleJsonNumber

A 64-bit, double-precision floating-point number.

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.sql.json.OracleJsonValue

`OracleJsonValue.OracleJsonType`

### Field Summary

### Fields inherited from interface oracle.sql.json.OracleJsonValue

`FALSE, NULL, TRUE`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `equals​(Object obj)` Compares the specified object with this `OracleJsonDouble`.
`BINARY_DOUBLE` `getDOUBLE()` Returns this value as a `oracle.sql.BINARY_DOUBLE`
`int` `hashCode()` Returns a hash code equal to `java.lang.Double.hashCode(doubleValue())`.

### Methods inherited from interface oracle.sql.json.OracleJsonNumber

`bigDecimalValue, bigIntegerValue, bigIntegerValueExact, doubleValue, floatValue, intValue, intValueExact, isIntegral, longValue, longValueExact`

### Methods inherited from interface oracle.sql.json.OracleJsonValue

`asJsonArray, asJsonBinary, asJsonDate, asJsonDecimal, asJsonDouble, asJsonFloat, asJsonIntervalDS, asJsonIntervalYM, asJsonNumber, asJsonObject, asJsonString, asJsonTimestamp, asJsonTimestampTZ, getOracleJsonType, toString, wrap`

### Method Detail

#### getDOUBLE

    BINARY_DOUBLE getDOUBLE()

Returns this value as a `oracle.sql.BINARY_DOUBLE`

Returns:
  the value

#### hashCode

    int hashCode()

Returns a hash code equal to `java.lang.Double.hashCode(doubleValue())`.

Overrides:
  `hashCode` in class `Object`
Returns:
  the hash code

#### equals

    boolean equals​(Object obj)

Compares the specified object with this `OracleJsonDouble`. Returns true if and only if the other object is an instance of `OracleJsonDouble` and the `doubleValue()` values are equal.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object to be compared for equality
Returns:
  true if the specified object is equal to this `OracleJsonDouble`.